From c664548ad77ff24f7f7eb5ea1e8f2b0057e8889f Mon Sep 17 00:00:00 2001
From: Erlang/OTP <otp@erlang.org>
Date: Wed, 29 May 2019 13:24:51 +0200
Subject: [PATCH 22/73] Prepare release

---
 erts/doc/src/notes.xml          | 17 +++++++++
 erts/vsn.mk                     |  2 +-
 lib/compiler/doc/src/notes.xml  | 61 +++++++++++++++++++++++++++++++++
 lib/compiler/vsn.mk             |  2 +-
 lib/crypto/doc/src/notes.xml    | 17 +++++++++
 lib/crypto/vsn.mk               |  2 +-
 lib/stdlib/doc/src/notes.xml    | 17 +++++++++
 lib/stdlib/src/stdlib.appup.src |  8 +++--
 lib/stdlib/vsn.mk               |  2 +-
 make/otp_version_tickets        | 13 +++++--
 10 files changed, 133 insertions(+), 8 deletions(-)

diff --git a/erts/vsn.mk b/erts/vsn.mk
index 224570fb092..4d8282bf153 100644
--- a/erts/vsn.mk
+++ b/erts/vsn.mk
@@ -18,7 +18,7 @@
 # %CopyrightEnd%
 # 
 
-VSN = 10.4
+VSN = 10.4.1
 
 # Port number 4365 in 4.2
 # Port number 4366 in 4.3
diff --git a/lib/compiler/vsn.mk b/lib/compiler/vsn.mk
index 494de072ff2..090579e7eed 100644
--- a/lib/compiler/vsn.mk
+++ b/lib/compiler/vsn.mk
@@ -1 +1 @@
-COMPILER_VSN = 7.4
+COMPILER_VSN = 7.4.1
diff --git a/lib/crypto/vsn.mk b/lib/crypto/vsn.mk
index 72a51bfec9c..2315cb3c48d 100644
--- a/lib/crypto/vsn.mk
+++ b/lib/crypto/vsn.mk
@@ -1 +1 @@
-CRYPTO_VSN = 4.5
+CRYPTO_VSN = 4.5.1
diff --git a/lib/stdlib/src/stdlib.appup.src b/lib/stdlib/src/stdlib.appup.src
index 7038cc159c3..4990c81dfee 100644
--- a/lib/stdlib/src/stdlib.appup.src
+++ b/lib/stdlib/src/stdlib.appup.src
@@ -38,7 +38,9 @@
   {<<"^3\\.8$">>,[restart_new_emulator]},
   {<<"^3\\.8\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]},
   {<<"^3\\.8\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
-  {<<"^3\\.8\\.2(?:\\.[0-9]+)*$">>,[restart_new_emulator]}],
+  {<<"^3\\.8\\.2(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
+  {<<"^3\\.9$">>,[restart_new_emulator]},
+  {<<"^3\\.9\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]}],
  [{<<"^3\\.5$">>,[restart_new_emulator]},
   {<<"^3\\.5\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]},
   {<<"^3\\.5\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
@@ -50,4 +52,6 @@
   {<<"^3\\.8$">>,[restart_new_emulator]},
   {<<"^3\\.8\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]},
   {<<"^3\\.8\\.1(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
-  {<<"^3\\.8\\.2(?:\\.[0-9]+)*$">>,[restart_new_emulator]}]}.
+  {<<"^3\\.8\\.2(?:\\.[0-9]+)*$">>,[restart_new_emulator]},
+  {<<"^3\\.9$">>,[restart_new_emulator]},
+  {<<"^3\\.9\\.0(?:\\.[0-9]+)+$">>,[restart_new_emulator]}]}.
diff --git a/lib/stdlib/vsn.mk b/lib/stdlib/vsn.mk
index 07224afdc90..cc0ab6684ca 100644
--- a/lib/stdlib/vsn.mk
+++ b/lib/stdlib/vsn.mk
@@ -1 +1 @@
-STDLIB_VSN = 3.9
+STDLIB_VSN = 3.9.1
diff --git a/make/otp_version_tickets b/make/otp_version_tickets
index 3728402492e..a9ca1cb1312 100644
--- a/make/otp_version_tickets
+++ b/make/otp_version_tickets
@@ -1,2 +1,11 @@
-OTP-15823
-OTP-15825
+OTP-15828
+OTP-15829
+OTP-15832
+OTP-15834
+OTP-15838
+OTP-15839
+OTP-15841
+OTP-15845
+OTP-15846
+OTP-15847
+OTP-15848

